class Asset:
    """
    Represents the output of a Task.
    """
    def __init__(self, data, type_name: str):
        self.data = data
        self.type_name = type_name
        self.preserved = True

    def dismiss(self):
        self.preserved = False

    def __repr__(self):
        return f"<Asset type={self.type_name}>"
